package com.ccwangluo.cc_quickly.ui.quick

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.ccwangluo.cc_quickly.databinding.FragmentNewsBinding
import com.xuexiang.xpage.base.XPageFragment
import com.xuexiang.xpage.utils.TitleBar

class NewsFragment : XPageFragment() {
    private var _binding: FragmentNewsBinding? = null
    private val binding get() = _binding!!
    override fun initTitleBar(): TitleBar? {
        //不使用@Page标注的一定要注意覆盖这个方法
        return null
    }

    override fun inflateView(inflater: LayoutInflater?, container: ViewGroup?): View {
        _binding = FragmentNewsBinding.inflate(inflater!!, container, false)
        return binding.root
    }

    override fun initViews() {

    }

    override fun initListeners() {

    }

    companion object{
        fun newInstance(): NewsFragment {
            val fragment = NewsFragment()
            return fragment
        }
    }

}